﻿using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Syncfusion.EJ2.Navigations;
using WebApplication1.Models;

namespace WebApplication1.Controllers
{
    public class HomeController : Controller
    {
        public IActionResult Index()
        {

            ViewBag.menuItems = GetMenuItems();
            return View();
        }

        public IActionResult About()
        {
            ViewData["Message"] = "Your application description page.";
            ViewBag.menuItems = GetMenuItems();
            return View();
        }

        public IActionResult Contact()
        {
            ViewData["Message"] = "Your contact page.";
            ViewBag.menuItems = GetMenuItems();
            return View();
        }

        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }

        public List<MenuItem> GetMenuItems()
        {
            List<MenuItem> menuItems = new List<MenuItem>(){
            new MenuItem
            {
                Text = "File",
                Url ="../Home/About"
            },
            new MenuItem
            {
                Text = "Edit",
                Url = "../Home/Contact"
            },
            new MenuItem
            {
                Text = "View",
                Url = "../Home/Index"

            },
            new MenuItem { Text = "Help", Url = "../Home/About" }
            };
            return menuItems;
        }
    }
}
